#!/bin/bash

jet='/mnt/'

#Jet相關參數取得
sIFS=$IFS
declare -A param
while IFS='=' read -r -d '&' key value; do
        [[ -z "$key" ]] && continue
        param["$key"]=$value
done <<<$(cat)"&"
IFS=$sIFS

#還原snap編號
snapid=$(jetapi backup -F getQueueItem -D _id="${param[queue_id]}" | grep 'snap_id' | cut -d : -f 2 | sed s/[[:space:]]//g)
#path
path=$(jetapi backup -F listBackups -D "type=127&accounts[]=${param[account]}" | grep -A5 ${snapid} | grep 'path:' | cut -d : -f 2 | sed s/[[:space:]]//g)

#帳號名稱
de=$(echo ${path} | awk -F\/ '{print $1}')

#移動public_html
mv ${jet}${path}/homedir/public_html/ ${jet}${de}/${param[account]}/
#移動mail
mv ${jet}${path}/homedir/mail/ ${jet}${de}/${param[account]}/
#寫入路徑
echo "${jet}${de}/${param[account]}/" >>/tmp/${param[account]}.list
